Name: elboukhari
Version: 1.0
Release: 3%{?dist}
License: GPLv3
Summary: Elboukhary Library With Sounds
URL: http://booksorg.sourceforge.net/
Source0: %{name}-%{version}.tar.gz
BuildRequires: gcc-c++
BuildRequires: qt4-devel
BuildRequires: phonon-devel
BuildRequires: dejavu-serif-fonts

%description
Elboukhary Library With Sounds

%prep
%setup -q -n %{name}-%{version}

%build
qmake-qt4
make %{?_smp_mflags}

%install
%make_install INSTALL_ROOT=%{buildroot}

sed -i 's:Categories=Office;Dictionary;:Categories=Office;Dictionary;X-Islamic-Software;:g' %{buildroot}/%{_datadir}/applications/%{name}.desktop

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2017 Mosaab Alzoubi <moceap@hotmail.com> -->
<!--
EmailAddress: moceap@hotmail.com
SentUpstream: 2017-2-18
-->
<application>
  <id type="desktop">%{name}.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Elboukhary Library With Sounds</summary>
  <description>
    <p>
	Elboukhary Library With Sounds.
    </p>
  </description>
  <url type="homepage">http://booksorg.sourceforge.net/</url>
  <screenshots>
    <screenshot type="default">http://ojuba.org/screenshots/%{name}.png</screenshot>
  </screenshots>
  <updatecontact>moceap@hotmail.com</updatecontact>
</application>
EOF


%files
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml

%changelog
* Mon Mar 27 2017 Mosaab Alzoubi <moceap@hotmail.com> - 1.0-3
- Imported from http://download.opensuse.org/repositories/home:/kovax/CentOS_CentOS-6/src
- Clean the spec

* Mon Jun 03 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> 1.0-2
- fix spec file error
